Page MenuHomePhabricator

Suggest a list of featured & possible tech projects to the Universitat Autònoma de Barcelona
Closed, ResolvedPublic

Description

List of Projects

1. KIWIX

2. WIKIMEDIA COMMONS ANDROID APP

3. WIKI ED DASHBOARD

4. WIKIDATA

5. HUGGLE

6. NOTIFICATIONS

7. MEDIAWIKI SKINS

Besides above, we have a lot of projects available in Possible-Tech-Projects but they need discussion before implementation.

Background

After a meeting between Màrius, Toni and Quim (see notes captured below), we need to provide them by Friday, July 7 in their CET morning:

On Friday morning (10am CET), Màrius is organizing an informative meeting for other teachers at the Universitat Autònoma de Barcelona, where he will explain the idea of proposing Wikimedia software development projects to students in their last year of Computer Science (or equivalent Engineering) university studies. The Wikimedia Hackathon 2018 will be organized at the UAB, and Màrius (who is also a member of Amical) wants to help connecting that event with activities in that university. Toniher is helping as well.

The idea is to offer them a list so these teachers can understand which kind of projects we offer. These projects don't need to be backed by mentors today, neither have all the pieces in place. The basic requirement is our belief that is a teacher / student is interested in a specific project, we will be able to put them in touch with the related maintainers / mentors, and we will be able to confirm the activity to start in September for those projects selected.

Meeting 2017-07-04

Màrius is a teacher at the Escola d'Enginyeria. He is a member of Amical. He is interested in considering to combine the pre-Hackathon with the activities with his students during the upcoming course. These are students in their last year, and these would be final career projects.

The School is interested in the project. Problem: they don't know anything about Wikimedia / Wikipedia as a free software project. They are aware of the risks of working in projects that will not be useful at the end, and this is why they want to know from us what we suggest. Also, which kind of support they can obtain from us.

This Friday (July 7th!) there is a meeting organized with other teachers.

Projects start on September - January. There is another round on January-June.

It would be good to showcase finished projects at the Hackathon, and then organize code sprints about the ongoing projects.

There is flexibility in term of sizes, although the model is usually 1 student - 1 teacher. It is possible to consider small groups of students i.e. 4 in one project.

We don't know how many projects will the UAB take, but probably 10 at most. It depends on how many teachers want to step in.

It is OK to propose any programming languages form the ones Wikimedia is using.

https://www.mediawiki.org/wiki/Featured_Projects

Possible Tech Projects https://phabricator.wikimedia.org/project/view/1042/

(Quim explains the basics of Onboarding New developers)
https://meta.wikimedia.org/wiki/Technical_Collaboration/Onboarding_New_Developers

Event Timeline

Qgil created this task.Jul 5 2017, 10:00 AM
Qgil assigned this task to srishakatux.Jul 6 2017, 5:04 PM

List of Projects


1. KIWIX

2. WIKIMEDIA COMMONS ANDROID APP

3. WIKI ED DASHBOARD

4. WIKIDATA

5. HUGGLE

6. NOTIFICATIONS

7. MEDIAWIKI SKINS

Besides above, we have a lot of projects available in Possible-Tech-Projects but they need discussion before implementation.

Qgil closed this task as Resolved.Jul 7 2017, 6:41 AM
Qgil updated the task description. (Show Details)

Thank you very much, Srishti!

I have moved the list to the description for easier editing, in case we need to edit anything.

This task has been resolved. @Mariusmm @Toniher, good luck with the meeting today! If you have any questions, you know where to find us. :)

This is excellent! Thank you for all of the good work you all did while I was out of the office! :)
This will be helpful both for the Wikimania hackathon and UAB!